package com.ruoyi.bst.customer.service.impl;

import org.springframework.stereotype.Service;

import com.ruoyi.bst.customer.domain.Customer;
import com.ruoyi.bst.customer.domain.dto.CustomerAddDTO;
import com.ruoyi.bst.customer.service.CustomerConverter;
import com.ruoyi.bst.customerFollow.domain.CustomerFollow;

@Service
public class CustomerConverterImpl implements CustomerConverter {


    @Override
    public CustomerAddDTO toDTOByCreate(CustomerAddDTO customer) {
        if (customer == null) {
            return null;
        }
        CustomerAddDTO po = new CustomerAddDTO();
        po.setName(customer.getName());
        po.setStatus(customer.getStatus());
        po.setIntentLevel(customer.getIntentLevel());
        po.setMobile(customer.getMobile());
        po.setWechat(customer.getWechat());
        po.setSource(customer.getSource());
        po.setIntents(customer.getIntents());
        po.setFollowId(customer.getFollowId());
        po.setRemark(customer.getRemark());
        po.setFollow(customer.getFollow());
        return po;
    }

    @Override
    public Customer toPoByUpdate(Customer customer) {
        if (customer == null) {
            return null;
        }
        Customer po = new Customer();
        po.setId(customer.getId());
        po.setName(customer.getName());
        po.setStatus(customer.getStatus());
        po.setIntentLevel(customer.getIntentLevel());
        po.setMobile(customer.getMobile());
        po.setWechat(customer.getWechat());
        po.setSource(customer.getSource());
        po.setIntents(customer.getIntents());
        po.setFollowId(customer.getFollowId());
        po.setRemark(customer.getRemark());
        return po;
    }

    @Override
    public Customer toPo(CustomerFollow follow) {
        if (follow == null) {
            return null;
        }
        Customer customer = new Customer();
        customer.setId(follow.getCustomerId());
        customer.setLastFollowTime(follow.getFollowTime());
        return customer;
    }

}
