package com.ruoyi.bst.task.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ruoyi.bst.task.domain.Task;
import com.ruoyi.bst.task.domain.TaskVO;
import com.ruoyi.bst.task.service.TaskService;
import com.ruoyi.bst.task.service.TaskValidator;
 
@Service
public class TaskValidatorImpl implements TaskValidator{

    @Autowired
    private TaskService taskService;

    @Override
    public boolean allowSubmit(Long id, Long userId) {
        if (id == null || userId == null) {
            return false;
        }
        TaskVO task = taskService.selectTaskById(id);
        return this.isOwner(task, userId);
    }

    @Override
    public boolean allowStart(Long id, Long userId) {
        if (id == null || userId == null) {
            return false;
        }
        TaskVO task = taskService.selectTaskById(id);
        return this.isOwner(task, userId);
    }

    // 校验当前用户是否是任务的负责人
    private boolean isOwner(Task task, Long userId) {
        return task != null && task.getOwnerIds() != null && task.getOwnerIds().contains(userId);
    }
}
